<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.TransportLogBean" />

    </data>

    <LinearLayout
        shape_bg_color="@{@color/white}"
        shape_radius="@{5}"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="10dp"
        android:layout_marginVertical="5dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:paddingHorizontal="10dp"
        android:paddingVertical="5dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:gravity="center_vertical">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="2">

                <TextView
                    completeSpace="@{4}"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="转运线路"
                    android:textColor="@color/text_gray"/>

                    <TextView
                        completeSpace="@{12}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@{bean.transTypeName}"
                        android:textColor="@color/text_gray" />

<!--                    <LinearLayout-->
<!--                        android:layout_width="match_parent"-->
<!--                        android:layout_height="match_parent"-->
<!--                        android:layout_marginLeft="15dp"-->
<!--                        android:background="@drawable/bg_pda_input_layout">-->

<!--                        <Spinner-->
<!--                            android:id="@+id/spinner_type"-->
<!--                            items="@{model.transportTypeList}"-->
<!--                            onSelected="@{model::onTransportTypeSelected}"-->
<!--                            android:layout_width="match_parent"-->
<!--                            android:layout_height="match_parent"-->
<!--                            android:background="@drawable/bg_spinner_pda"-->
<!--                            android:textSize="14sp"-->
<!--                            android:theme="@style/spinner_normal" />-->

<!--                    </LinearLayout>-->

                </LinearLayout>


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:gravity="center_vertical">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="平板车"
                        android:textColor="@color/text_gray" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@{bean.carId}"
                        android:textColor="@color/text_gray" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.9">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="航班日期"
                        android:textColor="@color/text_gray" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@{bean.fdate}"
                        android:textColor="@color/text_gray" />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:gravity="center_vertical">


                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="运输状态"
                        android:textColor="@color/text_gray" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@{bean.transStatusName}"
                        android:textColor='@{bean.transStatusColor}' />

                </LinearLayout>
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.9">

                    <TextView
                        completeSpace="@{3}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="航班号"
                        android:textColor="@color/text_gray" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@{bean.fno}"
                        android:textColor="@color/text_gray" />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:gravity="center_vertical">


                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="司机"
                        android:textColor="@color/text_gray" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:text="@{bean.opId}"
                        android:textColor="@color/purple" />

                </LinearLayout>
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.9">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="机位"
                        android:textColor="@color/text_gray" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@{bean.standId}"
                        android:textColor="@color/text_gray" />

                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:gravity="center_vertical">


                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="运输时间"
                        android:textColor="@color/text_gray" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@{bean.opDate}"
                        android:textColor="@color/text_gray" />


                </LinearLayout>
            </LinearLayout>
        </LinearLayout>

    </LinearLayout>
</layout>